using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CD67.FicheCollege.Entity
{
    /// <summary>
    /// Classe d'extension de celle d'Entity, nécessaire pour y associer les Metadata
    /// </summary>
    [MetadataType(typeof(RestaurationFormulairesRepaMetadata))]
    public partial class RestaurationFormulairesRepa
    {
    }

    /// <summary>
    /// Classe contenant les DataAnnotations pour chaque champ
    /// </summary>
    public class RestaurationFormulairesRepaMetadata
    {
        [Required(ErrorMessage = "Obligatoire")]
        public int Id { get; set; }

        [Required(ErrorMessage = "Obligatoire")]
        public System.Guid RestaurationFormulaires_Id { get; set; }

        [Required(ErrorMessage = "Obligatoire")]
        public int RestaurationTypesRepas_Id { get; set; }

        [Display(Name = "Nombre de repas")]
        public int NbRepas { get; set; }

        [Display(Name = "Nombre de jour en ")]
        public int NbJours { get; set; }

        [Display(Name = "Nom de l'établissement")]
        public string NomEtablissement { get; set; }


        public virtual RestaurationFormulaire RestaurationFormulaire { get; set; }
        public virtual ICollection<RestaurationTypesRepa> RestaurationTypesRepa { get; set; }
    }
}